{ inputs, pkgs, ... }:
{
    # NixOS
    users.users.dark = {
        isNormalUser = true;
        description = "Ghostfox";
        extraGroups = [
            "wheel"
            "networkmanager"
            "video"
            "kvm"
            "wireshark"
            "docker"
        ];
    };

    # Home manager
    home-manager = {
        useGlobalPkgs = true;  
        useUserPackages = true;
        users.dark = ./home;
        extraSpecialArgs = { inherit inputs; };
        backupFileExtension = ".bak";
    };
}